# PATCH /knowledge/:knowledge_id

**Resource:** [AI Knowledge](./knowledge.md)  
**MCP tool:** `update_knowledge`  
**Scopes:** `knowledge:write`  
**Write operation:** yes

Update a knowledge base entry. Pass only the fields you want to change.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `knowledge_id` | path | string | yes |  |
| `title` | body | string | no |  |
| `content` | body | string | no |  |
| `category` | body | string | no |  |
| `tags` | body | array | no |  |

## Request example

```bash
curl -X PATCH   "https://api.trustpager.com/functions/v1/api/v1/knowledge/:knowledge_id"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"title":"...","content":"...","category":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`